body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    font-size: calc(12px + 10 * (100vw - 320px) / 1600);
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #9a9a9b;
    padding: 10px;
}

.logo a {
    text-decoration: none;
    color: #000;
    margin: 0 10px;
}

.header-img {
    display: flex;
}

.account-info {
    display: flex;
    align-items: center;
    justify-content: center;
}

#username {
    font-size: 0.7em;
    color: #fff;
    font-weight: bold;
}

#account-dropdown {
    display: none;
    position: absolute;
    top: 50px; /* Adjust this value as needed */
    right: 100px; /* Adjust this value as needed */
    background-color: #f4f4f4;
    border: 1px solid #000;
    padding: 0; /* Adjust this value as needed */
    width: 80px;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    z-index: 1;
}

#account-dropdown ul {
    padding: 0;
}

#account-dropdown li {
    list-style: none;
    font-size: 0.8em;
    padding: 6px;
    border-bottom: 1px solid #ddd;
}

#account-dropdown li a {
    text-decoration: none;
    color: inherit;
}

#account-dropdown li:last-child {
    border-bottom: none;
}

.header-svg {
    width: 25px;
    height: 25px;
    margin: auto 12px;
}

@keyframes bell-swing {

    0% {
        transform: rotate(0deg);
    }
    25% {
        transform: rotate(15deg);
    }
    50% {
        transform: rotate(0deg);
    }
    75% {
        transform: rotate(-15deg);
    }
    100% {
        transform: rotate(0deg);
    }

}

.bell-svg:hover {
    animation: bell-swing 0.5s ease-in-out 1.5;
}

#bell-up {
    display: none;
    position: absolute;
    top: 50px; /* Adjust this value as needed */
    right: 20px; /* Adjust this value as needed */
    background-color: #f4f4f4;
    border: 1px solid #000;
    padding: 0; /* Adjust this value as needed */
    width: 200px;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    z-index: 1;
}

#nav-bell {
    list-style-type: none;
    padding: 0;
}

#nav-bell li {
    padding: 8px 16px;
    border-bottom: 1px solid #ddd;
}

#nav-bell li:last-child {
    border-bottom: none;
}

.message-user {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.message-avatar {
    width: 25px; /* Adjust this value as needed */
    height: 25px; /* Adjust this value as needed */
    border-radius: 50%;
    margin: 0 10px;
}

.message-username {
    color: #9a9a9b;
    margin-left: 5px;
    font-size: 0.8em; /* Adjust this value as needed */
}

#nav-bell li p {
    font-size: 0.8em; /* Adjust this value as needed */
}

.container {
    display: flex;
    flex-direction: row;
    height: 100vh;
}

.main-container {
    flex: 1;
    padding: 25px 5%;
}

.navigation {
    padding: 10px;
    list-style: none;
}

.navigation li {
    margin: 10px 10px;
    text-decoration: none;
    color: #000;
    cursor: default;
}

.navigation a {
    margin: 0 10px;
    padding: 10px;
    text-decoration: none;
    color: #000;
    cursor: default;
}

.navigation a:hover {
    text-decoration: underline;
    color: #19193a;
}

.active-nav {
    font-weight: bold;
}

h1 {
    font-weight: normal;
    font-size: 1.5em;
    margin-bottom: 0;
}

#open-add-student-window-button {
    width: 30px;
    height: 30px;
    padding: 0;
}

#add-button-img {
    width: 25px;
    height: 25px;
    text-align: center;
}

.tableTitle {
    font-size: 1.5em;
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: end;
}

table {
    width: 100%;
    border-collapse: collapse;
    table-layout: auto;
    font-size: 1.2em;
}

th, td {
    border: 1px solid #000000;
    padding: 8px;
    text-align: center;
    justify-content: center;
}

th {
    background-color: #cbddf4;
    font-weight: normal;
}

td {
    font-weight: bold;
    text-align: center;
    vertical-align: middle;
}
.student-id-column {
    display: none;
}
.checkbox {
    width: 20px;
    height: 20px;
    border: 1px solid #000;
    cursor: pointer;
}

.checkbox svg {
    width: 20px;
    height: 20px;
}

input[type="checkbox"] {
    width: 20px;
    height: 20px;
}

.status-circle {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    margin: 0 auto;
    background-color: #9a9a9b;
}


.status-circle-online {
    background-color: green;
}

.options-img {
    width: 25px;
    height: 25px;
}

.options-button {
    margin: 2px auto;
}

.pagination {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.pagination button {
    margin: 0 10px;
    padding: 5px 10px;
}

#student-window {
    display: none;
    position: fixed; /* Змінено з absolute */
    top: 50%; /* Змінено з 100px */
    left: 50%; /* Змінено з 50px */
    transform: translate(-50%, -50%);
    background-color: #f4f4f4;
    border: 1px solid #000;
    padding: 10px; /* Adjust this value as needed */
    width: 40%;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    z-index: 8;
}

#close-student-window-button {
    position: absolute;
    top: 0;
    right: 0;
    background: none;
    border: 1px;
    font-size: 1.2em;
    cursor: pointer;
}

#close-student-window-button:hover {
    color: red;
}

#inputs-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

form{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

#student-window label {
    width: 45%; /* Adjust this value as needed */
    margin: 0 0; /* Adjust this value as needed */
}

#student-window input, #student-window select {
    margin: 10px;
    width: 40%;
    font-size: 1em;
}


.button-container button {
    width: 70px; /* Встановіть потрібну ширину */
    height: 30px; /* Встановіть потрібну висоту */
    margin: auto 10px;
    justify-content: center;
    font-size: 0.95em;
}

.button-container {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}


#confirmation-window {
    position: fixed;
    width: 300px;
    height: 200px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    border: 1px solid #000;
    border-radius: 5px;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    z-index: 2;
}

#confirmation-window h2 {
    margin: 0;
}

#confirmation-window p {
    text-align: center;
}

#confirmation-window button {
    width: 80px;
    height: 30px;
    border: none;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
}

#confirm-delete-button {
    background-color: #f57979;
}

#cancel-delete-button {
    background-color: #6cea6c;
}

@media (max-width: 768px) {
    .header-svg {
        width: 20px;
        height: 20px;
        margin: auto 10px;
    }

    .container {
        flex-direction: column;
    }

    .navigation {
        padding: 1px;
        list-style: none;
    }

    .navigation ul {
        display: inline;
    }

    h1 {
        font-size: 1.2em;
    }

    .add-button {
        width: 25px;
        height: 25px;
        padding: 0;
    }

    #add-button-img {
        width: 20px;
        height: 20px;
        text-align: center;
    }

    table {
        font-size: 1em;

    }

    th, td {
        padding: 5px;
    }

    .checkbox {
        width: 15px;
        height: 15px;
    }

    .checkbox svg {
        width: 15px;
        height: 15px;
    }

    input[type="checkbox"] {
        width: 15px;
        height: 15px;
    }

    .status-circle {
        width: 10px;
        height: 10px;
        border-radius: 50%;
        margin: 0 auto;
        background-color: #9a9a9b;
    }

    .status-circle-online {
        background-color: green;
    }

    .options-img {
        width: 15px;
        height: 15px;
        padding: 2px;
    }

    .pagination button {
        margin: 0 5px;
        padding: 3px 6px;
        font-size: 0.8em;
    }

    #student-window label, #student-window input, #student-window select {
        display: block;
        width: 50%;
    }

    #student-window input, #student-window select {
        font-size: 0.7em;
    }
}

@media (max-width: 540px) {
    .container {
        flex-direction: column;
    }

    .navigation {
        padding: 1px;
        list-style: none;
    }

    .navigation ul {
        display: inline;
    }

    .add-button {
        width: 20px;
        height: 20px;
        padding: 0;
    }

    #add-button-img {
        width: 10px;
        height: 10px;
        text-align: center;
    }

    table {
        font-size: 0.7em;
    }

    th, td {
        padding: 2px;
    }

    .checkbox {
        width: 10px;
        height: 10px;
    }

    .checkbox svg {
        width: 10px;
        height: 10px;
    }

    input[type="checkbox"] {
        width: 10px;
        height: 10px;
    }

    .status-circle {
        width: 6px;
        height: 6px;
        border-radius: 50%;
        margin: 0 auto;
        background-color: #9a9a9b;
    }

    .status-circle-online {
        background-color: green;
    }

    .options-button {
        width: 15px;
        height: 15px;
        padding: 0;
        justify-content: center;
    }

    .options-img {
        width: 10px;
        height: 10px;
        padding: 0;
    }

    #student-window label, #student-window input, #student-window select {
        font-size: .9em;
        width: 100%; /* Adjust this value as needed */
        margin: 10px 0; /* Adjust this value as needed */
    }

    #student-window input, #student-window select {
        border: 2px solid #000;
        border-radius: 4px;
    }

    #close-student-window-button {
        border: none;
    }
}
